<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (1.8.0_281) on Tue Jun 01 09:22:37 CEST 2021 -->
<title>Register</title>
<meta name="date" content="2021-06-01">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Register";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":6,"i2":10,"i3":10,"i4":6,"i5":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../ch/hevs/isi/field/PollTask.html" title="class in ch.hevs.isi.field"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../ch/hevs/isi/field/Transaction.html" title="class in ch.hevs.isi.field"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?ch/hevs/isi/field/Register.html" target="_top">Frames</a></li>
<li><a href="Register.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">ch.hevs.isi.field</div>
<h2 title="Class Register" class="title">Class Register</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>ch.hevs.isi.field.Register</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../../../../ch/hevs/isi/field/BooleanRegister.html" title="class in ch.hevs.isi.field">BooleanRegister</a>, <a href="../../../../ch/hevs/isi/field/FloatRegister.html" title="class in ch.hevs.isi.field">FloatRegister</a></dd>
</dl>
<hr>
<br>
<pre>public abstract class <span class="typeNameLabel">Register</span>
extends java.lang.Object</pre>
<div class="block">This abstract class represent a Modbus register, which contains
 every useful information in order to create a register.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../ch/hevs/isi/field/Register.html#Register-java.lang.String-int-int-int-">Register</a></span>(java.lang.String&nbsp;label,
        int&nbsp;address,
        int&nbsp;range,
        int&nbsp;offset)</code>
<div class="block">Constructor.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/hevs/isi/field/Register.html#getAddress--">getAddress</a></span>()</code>
<div class="block">Get the address</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>abstract <a href="../../../../ch/hevs/isi/core/DataPoint.html" title="class in ch.hevs.isi.core">DataPoint</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/hevs/isi/field/Register.html#getDP--">getDP</a></span>()</code>
<div class="block">Get the register datapoint</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/hevs/isi/field/Register.html#getOffset--">getOffset</a></span>()</code>
<div class="block">Get the offset value</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/hevs/isi/field/Register.html#getRange--">getRange</a></span>()</code>
<div class="block">Get the range value</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>abstract void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/hevs/isi/field/Register.html#read--">read</a></span>()</code>
<div class="block">Send the read command to the field</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>abstract void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/hevs/isi/field/Register.html#write--">write</a></span>()</code>
<div class="block">Send the write command to the field</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Register-java.lang.String-int-int-int-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Register</h4>
<pre>public&nbsp;Register(java.lang.String&nbsp;label,
                int&nbsp;address,
                int&nbsp;range,
                int&nbsp;offset)</pre>
<div class="block">Constructor.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>label</code> - The label of the register</dd>
<dd><code>address</code> - Its Modbus address</dd>
<dd><code>range</code> - Its range value</dd>
<dd><code>offset</code> - Its offset value</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="write--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>write</h4>
<pre>public abstract&nbsp;void&nbsp;write()
                    throws java.io.IOException,
                           <a href="../../../../ch/hevs/isi/field/ModbusResponseException.html" title="class in ch.hevs.isi.field">ModbusResponseException</a></pre>
<div class="block">Send the write command to the field</div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.io.IOException</code></dd>
<dd><code><a href="../../../../ch/hevs/isi/field/ModbusResponseException.html" title="class in ch.hevs.isi.field">ModbusResponseException</a></code></dd>
</dl>
</li>
</ul>
<a name="read--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>read</h4>
<pre>public abstract&nbsp;void&nbsp;read()
                   throws java.io.IOException,
                          <a href="../../../../ch/hevs/isi/field/ModbusResponseException.html" title="class in ch.hevs.isi.field">ModbusResponseException</a></pre>
<div class="block">Send the read command to the field</div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.io.IOException</code></dd>
<dd><code><a href="../../../../ch/hevs/isi/field/ModbusResponseException.html" title="class in ch.hevs.isi.field">ModbusResponseException</a></code></dd>
</dl>
</li>
</ul>
<a name="getDP--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDP</h4>
<pre>public abstract&nbsp;<a href="../../../../ch/hevs/isi/core/DataPoint.html" title="class in ch.hevs.isi.core">DataPoint</a>&nbsp;getDP()</pre>
<div class="block">Get the register datapoint</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The datapoint</dd>
</dl>
</li>
</ul>
<a name="getAddress--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAddress</h4>
<pre>public&nbsp;int&nbsp;getAddress()</pre>
<div class="block">Get the address</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The address</dd>
</dl>
</li>
</ul>
<a name="getRange--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRange</h4>
<pre>public&nbsp;int&nbsp;getRange()</pre>
<div class="block">Get the range value</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The range value</dd>
</dl>
</li>
</ul>
<a name="getOffset--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getOffset</h4>
<pre>public&nbsp;int&nbsp;getOffset()</pre>
<div class="block">Get the offset value</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The offset value</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../ch/hevs/isi/field/PollTask.html" title="class in ch.hevs.isi.field"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../ch/hevs/isi/field/Transaction.html" title="class in ch.hevs.isi.field"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?ch/hevs/isi/field/Register.html" target="_top">Frames</a></li>
<li><a href="Register.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
